Bug 522677 - KMS:RV635:Radeon HD 3650 wine fails with xorg-x11-drv-ati radeon driver
Summary: KMS:RV635:Radeon HD 3650 wine fails with xorg-x11-drv-ati radeon driver
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R600/mM
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 03:28 UTC by Michael Ploujnikov
Modified: 2018-04-11 10:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:26:10 UTC


Attachments (Terms of Use)
glxinfo (15.50 KB, text/plain)
2009-09-11 03:28 UTC, Michael Ploujnikov
no flags Details
dmesg (54.23 KB, text/plain)
2009-09-11 03:29 UTC, Michael Ploujnikov
no flags Details
Xorg.0.log (52.26 KB, text/plain)
2009-09-11 03:30 UTC, Michael Ploujnikov
no flags Details
crash report using wine (5.96 KB, text/plain)
2009-11-22 18:53 UTC, Eddie Lania
no flags Details
Dmesg output (32.97 KB, text/plain)
2009-11-22 19:10 UTC, Eddie Lania
no flags Details
xorg.log (66.23 KB, text/plain)
2009-11-22 19:11 UTC, Eddie Lania
no flags Details

Description Michael Ploujnikov 2009-09-11 03:28:48 UTC
Created attachment 360605 [details]
glxinfo

Description of problem:
Attempt to run projectM-pulseaudio results in a segmentation fault.

Version-Release number of selected component (if applicable):
mesa-libGLU-7.6-0.11.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.3.20090908git651fe5a47.fc12.x86_64
projectM-pulseaudio-1.2.0-4.fc11.x86_64
kernel-2.6.31-0.219.rc9.git2.fc12.x86_64
mesa-libGL-7.6-0.11.fc12.x86_64
glx-utils-7.6-0.11.fc12.x86_64
mesa-dri-drivers-7.6-0.11.fc12.x86_64
mesa-dri-drivers-experimental-7.6-0.11.fc12.x86_64
qt-4.5.2-13.fc12.x86_64
ftgl-2.1.3-0.2.rc5.fc12.x86_64
glew-1.5.1-3.fc12.x86_64
libprojectM-1.2.0-11.fc12.x86_64
qt-x11-4.5.2-13.fc12.x86_64
libprojectM-qt-1.2.0-5.fc11.x86_64
phonon-backend-gstreamer-4.5.2-13.fc12.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Boot the Radeon Test Day LiveCD (http://adamwill.fedorapeople.org/20090909_test_day_images/testday-20090909-x86_64.iso)
2. install projectM-pulseaudio
3. run projectM-pulseaudio
  
Actual results:
$ projectM-pulseaudio 
dir:/usr/share/projectM/config.inp 
trying to create ~/.projectM/config.inp 
created ~/.projectM/config.inp successfully
IRQ's not enabled, falling back to busy waits: 2 1
IRQ's not enabled, falling back to busy waits: 2 1
configFile: /home/liveuser/.projectM/config.inp
MAX SAMPLES:2048
Allocating 1024 x 1024 radeon RBO (pitch 1024)
load config END 
unconnected: connecting... 
connectHelper:  "alsa_output.pci-0000_00_1b.0.analog-stereo.monitor" 
projectM-pulseaudio: radeon_cs_gem.c:121: cs_gem_write_reloc: Assertion `bo->space_accounted' failed.
Aborted (core dumped)


Expected results:
I expect projectM-pulseaudio to start displaying its animations and render correctly, even if slowly compared to proprietary drivers.

Additional info:
The test hardware profile: http://www.smolts.org/client/show/pub_b5f68d72-3548-4920-bd2f-95167f65001b

I cannot get a full backtrace because installing all of the debuginfos crashes my liveCD system (only 2GB of ram might be not enough, I guess). Here is all I can see so far:

$ gdb `which projectM-pulseaudio`
GNU gdb (GDB) Fedora (6.8.50.20090818-8.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Missing separate debuginfos, use: debuginfo-install projectM-pulseaudio-1.2.0-4.fc11.x86_64
(gdb) run
Starting program: /usr/bin/projectM-pulseaudio 
[Thread debugging using libthread_db enabled]
dir:/usr/share/projectM/config.inp 
reading ~/.projectM/config.inp 
[New Thread 0x7fffe42b1710 (LWP 5152)]
[New Thread 0x7fffe2567710 (LWP 5153)]
[New Thread 0x7fffe1b66710 (LWP 5154)]
[New Thread 0x7fffe1165710 (LWP 5155)]
IRQ's not enabled, falling back to busy waits: 2 1
IRQ's not enabled, falling back to busy waits: 2 1
configFile: /home/liveuser/.projectM/config.inp
MAX SAMPLES:2048
Allocating 1024 x 1024 radeon RBO (pitch 1024)
[New Thread 0x7fffd390e710 (LWP 5156)]
load config END 
[New Thread 0x7fffd2e6e710 (LWP 5157)]
[New Thread 0x7fffd246d710 (LWP 5158)]
projectM-pulseaudio: radeon_cs_gem.c:121: cs_gem_write_reloc: Assertion `bo->space_accounted' failed.

Program received signal SIGABRT, Aborted.
0x00007ffff5920595 in raise () from /lib64/libc.so.6
(gdb) bt full
#0  0x00007ffff5920595 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007ffff5921d75 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x00007ffff5919655 in __assert_fail () from /lib64/libc.so.6
No symbol table info available.
#3  0x00007fffe0105cd0 in ?? () from /usr/lib64/libdrm_radeon.so.1
No symbol table info available.
#4  0x00007fffe0326a4a in ?? () from /usr/lib64/dri/r600_dri.so
No symbol table info available.
#5  0x00007fffe0332f39 in ?? () from /usr/lib64/dri/r600_dri.so
No symbol table info available.
#6  0x00007fffe033304f in ?? () from /usr/lib64/dri/r600_dri.so
No symbol table info available.
#7  0x00007fffe033310d in radeonEmitState () from /usr/lib64/dri/r600_dri.so
No symbol table info available.
#8  0x00007fffe0333242 in radeonFlush () from /usr/lib64/dri/r600_dri.so
No symbol table info available.
#9  0x00007fffd3c53768 in _mesa_BindFramebufferEXT ()
   from /usr/lib64/dri/libdricore.so
No symbol table info available.
#10 0x00007ffff79285b8 in Renderer::RenderFrame(PresetOutputs*, PresetInputs*)
    () from /usr/lib64/libprojectM.so.2
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#11 0x00007ffff78fcfa1 in projectM::renderFrame() ()
   from /usr/lib64/libprojectM.so.2
No symbol table info available.
#12 0x00007ffff6871e70 in QGLWidget::glDraw() ()
   from /usr/lib64/libQtOpenGL.so.4
No symbol table info available.
#13 0x00007ffff6870e19 in QGLWidget::paintEvent(QPaintEvent*) ()
   from /usr/lib64/libQtOpenGL.so.4
No symbol table info available.
#14 0x00007ffff6cc0b88 in QWidget::event(QEvent*) ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#15 0x00007ffff6875a81 in QGLWidget::event(QEvent*) ()
   from /usr/lib64/libQtOpenGL.so.4
No symbol table info available.
#16 0x00007ffff6c726bc in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#17 0x00007ffff6c7991e in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#18 0x00007ffff655788c in QCoreApplication::notifyInternal(QObject*, QEvent*)
---Type <return> to continue, or q <return> to quit---
    () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#19 0x00007ffff6cc7ee3 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#20 0x00007ffff6e36433 in QWidgetPrivate::repaint_sys(QRegion const&) ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#21 0x00007ffff6cba434 in QWidgetPrivate::syncBackingStore() ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#22 0x00007ffff6cc09a1 in QWidget::event(QEvent*) ()
   from /usr/lib64/libQtGui.so.4
No symbol table info available.
#23 0x00007ffff6875a81 in QGLWidget::event(QEvent*) ()
   from /usr/lib64/libQtOpenGL.so.4
No symbol table info available.
#24 0x00007ffff6c726bc in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#25 0x00007ffff6c7991e in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib64/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#26 0x00007ffff655788c in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#27 0x00007ffff6558492 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#28 0x00007ffff657ffb3 in ?? () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#29 0x00007ffff14742ae in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#30 0x00007ffff1477c98 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#31 0x00007ffff1477dba in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#32 0x00007ffff657fc26 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#33 0x00007ffff6d04fae in ?? () from /usr/lib64/libQtGui.so.4
No symbol table info available.
#34 0x00007ffff65561c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEv---Type <return> to continue, or q <return> to quit---
entsFlag>) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#35 0x00007ffff6556594 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
No symbol table info available.
#36 0x00007ffff6558729 in QCoreApplication::exec() ()
   from /usr/lib64/libQtCore.so.4
No symbol table info available.
#37 0x000000000040ae68 in main ()
No symbol table info available.

Comment 1 Michael Ploujnikov 2009-09-11 03:29:43 UTC
Created attachment 360606 [details]
dmesg

Comment 2 Michael Ploujnikov 2009-09-11 03:30:20 UTC
Created attachment 360609 [details]
Xorg.0.log

Comment 3 Michael Ploujnikov 2009-09-11 03:33:05 UTC
It is possible that this is the same bug as #496649.

Comment 4 Adam Williamson 2009-09-17 00:46:45 UTC
this is using r600 dri, which is VERY new and experimental, so failures aren't really a surprise. leaving open for now, but maintainers may prefer to close it until they expect things to start working :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Matěj Cepl 2009-11-05 17:16:01 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 Michael Ploujnikov 2009-11-06 20:40:59 UTC
I've tested this with http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/desktop-x86_64-20091105.16.iso and projectM-pulseaudio actually works, although very slowly, on my Mobility Radeon HD 3650 with the following packages:

mesa-libGLU-7.6-0.13.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64
projectM-pulseaudio-1.2.0-5.fc12.x86_64
kernel-2.6.31.5-117.fc12.x86_64
mesa-libGL-7.6-0.13.fc12.x86_64
glx-utils-7.6-0.13.fc12.x86_64
mesa-dri-drivers-7.6-0.13.fc12.x86_64
package mesa-dri-drivers-experimental is not installed
qt-4.5.3-7.fc12.x86_64
ftgl-2.1.3-0.2.rc5.fc12.x86_64
glew-1.5.1-3.fc12.x86_64
libprojectM-1.2.0-11.fc12.x86_64
qt-x11-4.5.3-7.fc12.x86_64
libprojectM-qt-1.2.0-7.fc12.x86_64
package phonon-backend-gstreamer is not installed

Comment 7 Adam Williamson 2009-11-06 21:44:11 UTC
Um, that's a completely different test. You didn't have mesa-dri-drivers-experimental installed this time, so you were using software rendering (which is why it was slow). Re-opening; please re-test with mesa-dri-drivers-experimental installed.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Michael Ploujnikov 2009-11-07 21:22:55 UTC
Ok. Thanks for noticing my mistake! I tested with http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/desktop-x86_64-20091106.16.iso having:

mesa-libGLU-7.6-0.13.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64
projectM-pulseaudio-1.2.0-5.fc12.x86_64
kernel-2.6.31.5-122.fc12.x86_64
mesa-libGL-7.6-0.13.fc12.x86_64
glx-utils-7.6-0.13.fc12.x86_64
mesa-dri-drivers-7.6-0.13.fc12.x86_64
mesa-dri-drivers-experimental-7.6-0.13.fc12.x86_64
qt-4.5.3-7.fc12.x86_64
ftgl-2.1.3-0.2.rc5.fc12.x86_64
glew-1.5.1-3.fc12.x86_64
libprojectM-1.2.0-11.fc12.x86_64
qt-x11-4.5.3-7.fc12.x86_64
libprojectM-qt-1.2.0-7.fc12.x86_64

and I get essentially the same crash:

$ projectM-pulseaudio 
dir:/usr/share/projectM/config.inp 
trying to create ~/.projectM/config.inp 
created ~/.projectM/config.inp successfully
configFile: /home/liveuser/.projectM/config.inp
MAX SAMPLES:2048
Allocating 1024 x 1024 radeon RBO (pitch 1024)
load config END 
unconnected: connecting... 
connectHelper:  "alsa_output.pci-0000_00_1b.0.analog-stereo.monitor" 
projectM-pulseaudio: radeon_cs_gem.c:121: cs_gem_write_reloc: Assertion `bo->space_accounted' failed.
Aborted (core dumped)

so were are back to the same situation.

Comment 9 Adam Williamson 2009-11-07 23:19:25 UTC
OK, thanks. this is probably a mesa issue, but I'm not sure if the X devs want these re-assigned to mesa components or not. Dave?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Jérôme Glisse 2009-11-13 09:16:55 UTC
I think we will keep xorg-x11-drv-ati as a place holder for all radeon bugs.

Comment 11 Bug Zapper 2009-11-16 12:14:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Eddie Lania 2009-11-22 18:53:12 UTC
Created attachment 372946 [details]
crash report using wine

Using wine I also run in to this problem.

Comment 13 Eddie Lania 2009-11-22 18:59:51 UTC
http://bugs.winehq.org/show_bug.cgi?id=20092


Vitaliy Margolen <vitaliy@kievinfo.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
         Resolution|                            |INVALID




--- Comment #16 from Vitaliy Margolen <vitaliy@kievinfo.com>  2009-11-22 11:49:47 ---
> Allocating 16 x 16 radeon RBO (pitch 16)
This is a known bug in Fedora / video driver:
https://bugzilla.redhat.com/show_bug.cgi?id=522677

Comment 14 Eddie Lania 2009-11-22 19:10:46 UTC
Created attachment 372948 [details]
Dmesg output

Comment 15 Eddie Lania 2009-11-22 19:11:32 UTC
Created attachment 372949 [details]
xorg.log

Comment 16 Eddie Lania 2009-11-24 21:29:32 UTC
Installed from updates-testing:

mesa-libGL-7.6-0.15.fc12.i686
mesa-libOSMesa-7.6-0.15.fc12.i686
mesa-libGLw-6.5.1-8.fc12.i686
mesa-libGLU-devel-7.6-0.15.fc12.i686
mesa-dri-drivers-7.6-0.15.fc12.i686
mesa-libGL-devel-7.6-0.15.fc12.i686
mesa-libOSMesa-devel-7.6-0.15.fc12.i686
mesa-libGLU-7.6-0.15.fc12.i686
xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12.i686

projectM-pulseaudio now works without coredumping but is slow like hell.

Wine however does still crash.

Comment 17 Jameson 2010-05-08 14:54:15 UTC
*** Bug 540616 has been marked as a duplicate of this bug. ***

Comment 18 Vedran Miletić 2010-05-24 18:35:04 UTC
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Comment 19 Eddie Lania 2010-08-02 19:47:03 UTC
I am on FC13 now and the problems with wine are gone.

Comment 20 Jérôme Glisse 2010-08-03 13:25:21 UTC
Michael does it also work for you ?

Comment 21 Michael Ploujnikov 2010-08-03 14:38:10 UTC
projectM-pulseaudio actually runs for me now.

info:
$ glxinfo |grep OpenGL
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: Mesa DRI R600 (RV635 9591) 20090101  TCL DRI2
OpenGL version string: 2.0 Mesa 7.8.1
OpenGL shading language version string: 1.10
$ glxinfo |grep version
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
OpenGL version string: 2.0 Mesa 7.8.1
OpenGL shading language version string: 1.10

xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
mesa-libGL-7.8.1-6.fc13.x86_64
mesa-libGL-7.8.1-6.fc13.i686
package mesa-libOSMesa is not installed
package mesa-libGLw is not installed
mesa-libGLU-devel-7.8.1-6.fc13.x86_64
mesa-dri-drivers-7.8.1-6.fc13.x86_64
mesa-dri-drivers-7.8.1-6.fc13.i686
mesa-libGL-devel-7.8.1-6.fc13.x86_64
mesa-libGLU-7.8.1-6.fc13.x86_64
mesa-libGLU-7.8.1-6.fc13.i686

Also, surprisingly, Nexuiz runs rather smooth now too.

Comment 22 Bug Zapper 2010-11-04 10:06:03 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 Bug Zapper 2010-12-05 06:26:10 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.